VismaBouwsoftAPICalls.v1_PUT_PurchaseInvoiceProjects Method
v1_PUT_PurchaseInvoiceProjects() as String

This API call is used to update fields of a(n) PurchaseInvoiceProject

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /PurchaseInvoiceProjects/{id}

You make this API call with the key field id as the path parameter (the id of the PurchaseInvoiceProject you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
purchaseinvoice_id 1 tpLong 0 Yes Yes No
purchaseinvoice_nr 1 tpLong 0 No No No
purchaseinvoice_nr_supplier 2 tpString 100 No No No
address_supplier_id 1 tpLong 0 No No No
address_supplier_name 2 tpString 150 No No No
project_id 1 tpLong 0 No Yes No
project_pnr 1 tpLong 0 No Yes No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
project_yourreference 2 tpString 50 No No No
actualcostitem_id 1 tpLong 0 No Yes No
actualcostitem_nr 2 tpString 100 No No No
actualcostitem_name 2 tpString 0 No No No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 10 No Yes No
job_name 2 tpString 100 No No No
amount 8 tpCurrency 0 No Yes No
type 2 tpString 0 No No No
type_localized 2 tpString 0 No No No
type_id 1 tpLong 0 No Yes No
note 2 tpString 100 No Yes No
purchaseinvoice_linkedinvoice_id 1 tpLong 0 No Yes No
purchaseinvoice_linkedinvoice_nr 1 tpLong 0 No No No
purchaseinvoice_linkedinvoice_nr_supplier 2 tpString 100 No No No
ts_lastupdate 3 tpDate 0 No No No

/PurchaseInvoiceProjects/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PurchaseInvoiceProjects/541

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UbOfWxfrDkzSfIIIrfzRqDlIfDlrGfjVflbbzbPtflmfAGAPkA

Query Parameters :
ParameterName: columns, ParameterValue: note=’abcd’

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 541,
    "note": "abcd"
  }
]
}